curl https://api.bottari.ai/v1/search \
-X POST \
-H "Authorization: Bearer $BOTTARI_TOKEN" \
-H "Bottari-Version: 2026-03-11" \
-H "Content-Type: application/json" \
-d '{
"query": "주문",
"filter": {
"property": "object",
"value": "page"
},
"sort": {
"timestamp": "last_edited_time",
"direction": "descending"
},
"page_size": 10
}'
{
"object": "list",
"results": [
{
"object": "page",
"id": "exampleRow01",
"created_time": "2026-01-15T02:30:00.000Z",
"last_edited_time": "2026-01-15T03:10:00.000Z",
"created_by": {
"object": "user",
"id": "11111111-1111-4111-8111-111111111111"
},
"last_edited_by": {
"object": "user",
"id": "11111111-1111-4111-8111-111111111111"
},
"in_trash": false,
"cover": null,
"icon": null,
"parent": {
"type": "data_source_id",
"data_source_id": "exampleDb001",
"database_id": "exampleDb001"
},
"is_archived": false,
"is_locked": false,
"properties": {
"이름": {
"id": "title",
"type": "title",
"title": [
{
"type": "text",
"text": {
"content": "1월 주문 확인",
"link": null
},
"annotations": {
"bold": false,
"italic": false,
"strikethrough": false,
"underline": false,
"code": false,
"color": "default"
},
"plain_text": "1월 주문 확인",
"href": null
}
]
}
},
"url": "https://app.bottari.ai/t/exampleTeam1/p/exampleRow01",
"public_url": null
}
],
"next_cursor": null,
"has_more": false,
"type": "page_or_data_source",
"page_or_data_source": {},
"request_id": "33333333-3333-4333-8333-333333333333"
}
검색
검색하기
연동이 볼 수 있는 행 · 하위 문서 · 데이터베이스를 제목으로 찾습니다.
POST
/
v1
/
search
curl https://api.bottari.ai/v1/search \
-X POST \
-H "Authorization: Bearer $BOTTARI_TOKEN" \
-H "Bottari-Version: 2026-03-11" \
-H "Content-Type: application/json" \
-d '{
"query": "주문",
"filter": {
"property": "object",
"value": "page"
},
"sort": {
"timestamp": "last_edited_time",
"direction": "descending"
},
"page_size": 10
}'
{
"object": "list",
"results": [
{
"object": "page",
"id": "exampleRow01",
"created_time": "2026-01-15T02:30:00.000Z",
"last_edited_time": "2026-01-15T03:10:00.000Z",
"created_by": {
"object": "user",
"id": "11111111-1111-4111-8111-111111111111"
},
"last_edited_by": {
"object": "user",
"id": "11111111-1111-4111-8111-111111111111"
},
"in_trash": false,
"cover": null,
"icon": null,
"parent": {
"type": "data_source_id",
"data_source_id": "exampleDb001",
"database_id": "exampleDb001"
},
"is_archived": false,
"is_locked": false,
"properties": {
"이름": {
"id": "title",
"type": "title",
"title": [
{
"type": "text",
"text": {
"content": "1월 주문 확인",
"link": null
},
"annotations": {
"bold": false,
"italic": false,
"strikethrough": false,
"underline": false,
"code": false,
"color": "default"
},
"plain_text": "1월 주문 확인",
"href": null
}
]
}
},
"url": "https://app.bottari.ai/t/exampleTeam1/p/exampleRow01",
"public_url": null
}
],
"next_cursor": null,
"has_more": false,
"type": "page_or_data_source",
"page_or_data_source": {},
"request_id": "33333333-3333-4333-8333-333333333333"
}
제목에 찾을 말이 포함된 행 · 하위 문서(
공통 오류는 공통 규칙에서 확인할 수 있습니다.
page)와 데이터베이스(data_source)를 반환합니다. 본문은 찾지 않습니다. 기본 순서는 마지막 편집 시각이 늦은 순서입니다.
보관한 행은 나오지 않습니다. 휴지통에 있는 데이터베이스와 그 행도 나오지 않습니다.
string
필수
Bearer <토큰> 형식입니다. 토큰 자세히 알아보기 →string
선택 항목입니다.
2026-03-11만 받습니다. 빼면 현재 버전을 사용하고, 다른 값을 보내면 400을 반환합니다.string[]
응답 행에 담을 속성 이름이나 ID입니다. 데이터베이스마다 속성이 달라 모르는 속성은 건너뜁니다.
string
찾을 말입니다. 빼면 볼 수 있는 대상을 모두 반환합니다.
object
object
{ "timestamp": "last_edited_time", "direction": "ascending" } 또는 { "property": "relevance" }입니다. relevance는 기본 순서와 같습니다.string
앞 응답의
next_cursor입니다. 찾을 말 · 필터 · 순서가 같아야 합니다.number
기본값:"100"
1~100입니다.
object[]
page와 data_source 객체 목록입니다.string | null
다음 목록의 커서입니다.
boolean
더 있으면
true입니다.string
항상
page_or_data_source입니다.오류
| 상태 | code | 원인 |
|---|---|---|
| 400 | validation_error | 모르는 본문 키, 틀린 필터나 순서, 다른 검색의 커서입니다. |
curl https://api.bottari.ai/v1/search \
-X POST \
-H "Authorization: Bearer $BOTTARI_TOKEN" \
-H "Bottari-Version: 2026-03-11" \
-H "Content-Type: application/json" \
-d '{
"query": "주문",
"filter": {
"property": "object",
"value": "page"
},
"sort": {
"timestamp": "last_edited_time",
"direction": "descending"
},
"page_size": 10
}'
{
"object": "list",
"results": [
{
"object": "page",
"id": "exampleRow01",
"created_time": "2026-01-15T02:30:00.000Z",
"last_edited_time": "2026-01-15T03:10:00.000Z",
"created_by": {
"object": "user",
"id": "11111111-1111-4111-8111-111111111111"
},
"last_edited_by": {
"object": "user",
"id": "11111111-1111-4111-8111-111111111111"
},
"in_trash": false,
"cover": null,
"icon": null,
"parent": {
"type": "data_source_id",
"data_source_id": "exampleDb001",
"database_id": "exampleDb001"
},
"is_archived": false,
"is_locked": false,
"properties": {
"이름": {
"id": "title",
"type": "title",
"title": [
{
"type": "text",
"text": {
"content": "1월 주문 확인",
"link": null
},
"annotations": {
"bold": false,
"italic": false,
"strikethrough": false,
"underline": false,
"code": false,
"color": "default"
},
"plain_text": "1월 주문 확인",
"href": null
}
]
}
},
"url": "https://app.bottari.ai/t/exampleTeam1/p/exampleRow01",
"public_url": null
}
],
"next_cursor": null,
"has_more": false,
"type": "page_or_data_source",
"page_or_data_source": {},
"request_id": "33333333-3333-4333-8333-333333333333"
}